## Geothermal Power Plant

Beaver civilization has now entered the machine age! Factories here and there are producing large quantities of goods, and the demand for energy is higher than ever. By the way, don't you have a surplus of underground ruins?

This mod adds a geothermal power plant to be built on top of the underground ruins, and a cooling tower.

It should bring a challenge to the end game.

There are currently two facilities.

### Hot Dry Rock Geothermal Turbine

This facility consumes vast amounts of water to produce energy. It can be built only on top of underground ruins. Make sure there is enough water and pumps nearby. No water? Well then...I guess it's time to remind you that you are a beaver. By the way, the underground ruins were used by humans for deep geological disposal (headcanon), so beavers suffer from radiation damage. A sufficiently high level of happiness would offset this.

![HotDryRockGeothermalTurbine](https://github.com/minorunara/TimberbornMods/blob/main/GeothermalPowerPlant/attachments/HotDryRockGeothermalTurbine.png?raw=true)

### Cooling Tower

This facility consumes metal blocks, treated planks and energy to produce water. It can only be built on top of a Hot Dry Rock Geothermal Turbine (note the orientation).

![CoolingTower](https://github.com/minorunara/TimberbornMods/blob/main/GeothermalPowerPlant/attachments/CoolingTower.png?raw=true)

## Disclaimer!

This mod is currently only supported in Timberborn version 0.2.5.1. Other versions will probably not work (and may crash the game).

## Install

If you install manually, put the downloaded folder in the folder where Timberborn.exe is located \BepInEx\plugins\

Remember that you will also need to install any mods that are dependencies.

## How to use

You should find under the Power tab.

## Localization Cooperation

- English
- Japanese
- Russian (Thanks to Ginfuyou)
- Deutsch (thanks to juf0816)

## License

This mod was made from Elec's ExtendedArchitecture, so the license follows the original mod.

https://github.com/Timberborn-Modding-Central/ExtendedArchitecture/tree/main/Assets/ExtendedArchitecture

## Known Issues

(Needs attention) Somehow, the beaver goes through a geothermal turbine once it has taken the water out of the cooling tower. This could be a problem if the connection between the cooling tower and the geothermal turbine is far apart.

(Insignificant) You may get a warning that the power is not connected even though the blue gear shadow is displayed. It is functionally connected without any problem.

(Insignificant) Cooling towers can produce water even if the geothermal plant was not in operation.

(Insignificant) The metal texture is wrong.

(Insignificant) At certain points in a Hot Dry Rock Geothermal Turbine, something other than a cooling tower can be built. This is intentional to connect the cooling towers to the Hot Dry Rock Geothermal Turbine.

(Insignificant) A bridge can be built through the chimney.

(Insignificant) Beavers can walk through the top of the Hot Dry Rock Geothermal Turbine.

## Changelog

### 1.0.2 Target game version is (v0.2.7.2) - 2022/09/11

Power generation and consumption doubled.

The power connections are now easier to understand. Also, the power shaft connected to the flywheel now rotates in the correct direction.

Add Russian translation by GinFuyou.

Add deutsch translation by juf0816.

### 1.0.1(hot fix) Target game version is (v0.2.5.1) - 2022/08/25

Timberborn version v0.2.5.1 is now supported.

The geothermal plant no longer affects the beaver's reproductive rate because the status has been removed from the base game.

The speed of water production in the cooling towers was reduced to 20/3h to balance the increased basic work speed of beavers and golems. Tip: Water recovery rates are affected by working speed.

To make it more eager to build, the turbine's power output has risen to 8,000 hp. However, the cooling tower's power consumption also rose to 3000 hp.

The shape of the cooling fan spinning at the top of the cooling tower is now the same as a windmill.

### 1.0.0 Target game version is (0.2.4.0) - 2022/08/12

Released
